Subject: If you are disappointed in its second half, bold, come in!

From: Elena <[email-masked]>
Date: Wed, 27 Jan 2010 11:30:57 -0800 (PST)

Hi - I'm the girl in a pink jacket with the inscription Russia, remember me?
Click here